
Foreman - Bug #12791

The architecture is not interpolated for the variable @host.url_for_boot(:initrd) on suse based

systems

12/12/2015 08:24 AM - Vincent Lequertier

Status: Closed   

Priority: Normal   

Assignee:    

Category: Templates   

Target version: 1.10.2   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases: 1.9.3

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/3153

  

Description

$arch is not interpolated in @host.url_for_boot(:initrd) and @host.url_for_boot(:kernel) for suse based systems.

For example, I have $arch instead of x86_64 when viewing the template for a host which is suse based

I think the issue comes from there :

https://github.com/theforeman/foreman/blob/develop/app/models/operatingsystems/suse.rb#L12

Let me know if you need more infos

Related issues:

Related to Foreman - Bug #9782: Using media_path in Templates does not resolv... Closed 03/16/2015

Associated revisions

Revision 1c81a696 - 02/17/2016 06:58 AM - Michael Moll 

fixes #12791 - allow access to boot_files_uri and medium in safe_mode

Revision 6b5d7f37 - 02/23/2016 08:35 AM - Michael Moll 

refs #12791 - use boot_files_uri for SUSE iPXE

Closes GH-239

Revision d1d6690b - 02/23/2016 09:59 AM - Michael Moll 

fixes #12791 - allow access to boot_files_uri and medium in safe_mode

(cherry picked from commit 1c81a696e4556ae3c17146afaff2fe6e2c52688d)

History

#1 - 12/14/2015 06:38 AM - Anonymous

- Related to Bug #9782: Using media_path in Templates does not resolve properly added

#2 - 02/03/2016 08:47 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Anonymous

- Pull request https://github.com/theforeman/foreman/pull/3153 added

#3 - 02/17/2016 07:01 AM - Anonymous

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100
https://github.com/theforeman/foreman/blob/develop/app/models/operatingsystems/suse.rb#L12


Applied in changeset 1c81a696e4556ae3c17146afaff2fe6e2c52688d.

#4 - 02/17/2016 09:39 AM - Dominic Cleal

- translation missing: en.field_release set to 123
